Get Nostro Account Liquidity Transfer List
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfersimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"amount": 123,
"limit": 123,
"offset": 123
},
"result": [
{
"amount": 123,
"creditorAccount": "<string>",
"currency": "EUR",
"id": 123,
"sepaMessageId": "<string>",
"status": "CREATED",
"createdAt": "2023-11-07T05:31:56Z",
"debtorAccount": "<string>",
"settlementDate": "2023-12-25",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Nostro Accounts
Get Nostro account liquidity transfers
Retrieves a list of liquidity transfers between Nostro accounts.
GET
/
v1
/
nostro-accounts
/
transfers
Get Nostro Account Liquidity Transfer List
Overview
This endpoint retrieves liquidity transfer records between your Nostro accounts. Track fund movements and manage liquidity between the SCT and INST Nostro accounts of your clearing system connection (CENTROlink only - not available for EKS; cross-rail transfers are not supported).Transfer Information
- Transfer amount and currency
- Source and destination accounts
- Transfer status and timestamps
- Reference information
Query Parameters
A limit on the number of objects returned per page. The default is 10 items.
Required range:
1 <= x <= 100Specifies the starting position for retrieving items in paginated results. The default is 0 items.
Required range:
x >= 0A filter by liquidity transfer request ID.
A filter by debtor account.
A filter by creditor account.
A filter by liquidity transfer request status. Multiple values are supported e.g. status=CREATED&status=COMPLETED
Available options:
CREATED, SENT_TO_CLEAR, ACCEPTED, REJECTED, COMPLETED A filter by liquidity transfer request date time from (ISO-8601 format).
Example:
"2023-10-24T12:00:00Z"
A filter by liquidity transfer request date time to (ISO-8601 format).
Example:
"2023-10-24T12:00:00Z"
A sort by liquidity transfer request id field
Show child attributes
Show child attributes
Last modified on July 10, 2026